Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.drm.model
Class SecurableObject

    java.lang.Object
      org.deegree.security.drm.model.SecurableObject

Direct Known Subclasses:
  Group, Role, SecuredObject, Service, User

    public abstract class SecurableObject

extends Object

Abstract superclass of objects that are securable, i.e. which carry information about which `Role`s have which `Right`s concerning these objects.

Version:
  $Revision: 18195 $
Author:
  Markus Schneider

Field Summary
`protected int` | `id`
`protected String` | `name`
`protected SecurityRegistry` | `registry`
`protected String` | `title`
`protected int` | `type`

Constructor Summary
`SecurableObject()`

Method Summary
`boolean` | `equals(Object that)` Indicates whether some other object is "equal to" this one.
`int` | `getID()` Returns the unique identifier of this `SecurableObject`.
`String` | `getName()` Returns the name of this `SecurableObject`.
`String` | `getTitle()` Returns the human readable name of this `SecurableObject`.
`int` | `getType()` Returns the type of this `SecurableObject`.
`int` | `hashCode()` Returns a hash code value for the object.
`String` | `toString()` Returns a `String` representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

### type

    protected int type

### name

    protected String name

### title

    protected String title

### registry

    protected SecurityRegistry registry

Constructor Detail

### SecurableObject

    public SecurableObject()

Method Detail

### getID

    public int getID()

  Returns the unique identifier of this `SecurableObject`.

### getType

    public int getType()

  Returns the type of this `SecurableObject`.

  NOTE: Unique in conjunction with name field.

### getName

    public String getName()

  Returns the name of this `SecurableObject`.

  NOTE: Unique in conjunction with type field.

### getTitle

    public String getTitle()

  Returns the human readable name of this `SecurableObject`.

  NOTE: This may not be unique.

### equals

    public boolean equals(Object that)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `that` -

### hashCode

    public int hashCode()

  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable.

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Returns a `String` representation of this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org